Package sudoku.solver

# Class HintHelper

java.lang.Object
sudoku.solver.HintHelper

public class HintHelper extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final record`
  `HintHelper.Hint`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HintHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HintHelper.Hint`
  `getHint(MultiDoku doku, Solver solver)`
  Si possible, donne un indice sur la résolution du doku passé en paramètre, selon la méthode de résolution rensaignée.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HintHelper

    public HintHelper()

- ## Method Details

  - ### getHint

    public static HintHelper.Hint getHint(MultiDoku doku, Solver solver)
    Si possible, donne un indice sur la résolution du doku passé en paramètre, selon la méthode de résolution rensaignée.
    Parameters:
      `doku` - MultiDoku, multidoku pour lequel on veut un indice
      `solver` - Solver, méthode de résolution souhaitée
    Returns:
      Hint, indice sur une case à remplir, valant null si le doku n'a pas de solution.